<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_histo.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_histo" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_histo</refname>
    <refpurpose>calculates histogram for each column</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [H,X] = nan_histo(Y,Mode)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>input:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>Mode :</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>'rows' :</term>
      <listitem><para> frequency of each row</para></listitem></varlistentry>
   <varlistentry><term>'1x'   :</term>
      <listitem><para> single bin-values (default Mode)</para></listitem></varlistentry>
   <varlistentry><term>'nx'   :</term>
      <listitem><para> separate bin-values for each column</para></listitem></varlistentry>
   <varlistentry><term>'plot':</term>
      <listitem><para>    if one input parameter is 'plot', the histogramm bar(X,H) will be plotted</para></listitem></varlistentry>
   <varlistentry><term>output:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>X :</term>
      <listitem><para> are the bin-values</para></listitem></varlistentry>
   <varlistentry><term>H :</term>
      <listitem><para> is the frequency of occurence of value X</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
more histogram-based results can be obtained by hist2res
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>C.E. Shannon and W. Weaver "The mathematical theory of communication" University of Illinois Press, Urbana 1949 (reprint 1963).</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
[H,X] =  nan_histo( [ 9 9 9 9 2 2 3 3 4 5 9 ]' )

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_histo2">nan_histo2</link></member>
   <member><link linkend="nan_histo3">nan_histo3</link></member>
   <member><link linkend="nan_histo4">nan_histo4</link></member>
   <member><link linkend="nan_hist2res">nan_hist2res</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 1996-2002,2008 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
